import request from '@/utils/httpRequest'

export default class UserInfoService {
  save (param) {
    return request({
      url: `/sys/userInfo/save`,
      method: 'post',
      data: param
    })
  }

  remove (id) {
    return request({
      url: '/sys/userInfo/remove',
      method: 'get',
      params: {id: id}
    })
  }

  getUserInfoById (id) {
    return request({
      url: `/sys/userInfo/getUserInfoById`,
      method: 'get',
      params: {id: id}
    })
  }

  list (param) {
    return request({
      url: `/sys/userInfo/list`,
      method: 'get',
      params: param
    })
  }
}
